%define PACKAGE_NAME gdal
%define PACKAGE_VERSION 1.1.8
%define PACKAGE_URL http://www.remotesensing.org/gdal
%define _prefix /usr

Summary: GDAL - a translator library for raster geospatial data formats
Name: %PACKAGE_NAME
Version: %PACKAGE_VERSION
Release: 1py2.2
Source0: gdal-%{version}.tar.gz
Patch0: gdal-install.patch
Copyright: MIT licence; Copyright by Frank Warmerdam
Group: Applications/GIS
URL: %PACKAGE_URL
Vendor: Intevation GmbH <http://intevation.net>
Packager: Thomas Koester <thomas@intevation.de>
#Distribution: FreeGIS CD

BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}

%description

GDAL is a translator library for raster geospatial data formats. As a library,
it presents a single abstract
data model to the calling application for all supported formats. An initial 
skeleton of GDAL has formed, and
operates for a few formats. 

%prep
%setup gdal-%{version}
./configure --prefix=%{_prefix} --with-grass=no --with-libtiff=internal --with-geotiff=internal
%patch0 -p0
#%patch1 -p0

%build
make

%install
rm -rf %{buildroot}
%makeinstall  INST_PYMOD=%{buildroot}/usr/lib/python2.2/site-packages/

%post
echo -n "Running ldconfig..."
ldconfig
echo "done."

%postun
echo -n "Running ldconfig..."
ldconfig
echo "done."

%clean
rm -rf %{_builddir}/%{name}-%{version}
rm -rf %{buildroot}

%files
%defattr(-,root,root)

%{_bindir}/*
%{_includedir}/*
%{_libdir}/*
%{_datadir}/%{name}/
%doc html Changelog VERSION NEWS HOWTO-RELEASE
